IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

TypeScript Discussion :

Authentification firebase avec Angular


Sujet :

TypeScript

  1. #1
    Candidat au Club
    Homme Profil pro
    Technicien maintenance
    Inscrit en
    septembre 2021
    Messages
    4
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 32
    Localisation : Tunisie

    Informations professionnelles :
    Activité : Technicien maintenance

    Informations forums :
    Inscription : septembre 2021
    Messages : 4
    Points : 4
    Points
    4
    Par défaut Authentification firebase avec Angular
    Bonjour,

    J'ai rencontré un erreur lors de l'utilisation d'authentification firebase avec Angular, le message d'erreur est "Properiété 'auth' n'existe pas en type...."

    vous trouverez ci-joint l'imprime écran de mon code ,merci de m'aider pour continuer
    Images attachées Images attachées  

  2. #2
    Membre émérite Avatar de darkstar123456
    Homme Profil pro
    Développeur Web
    Inscrit en
    mars 2008
    Messages
    1 674
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 37
    Localisation : Belgique

    Informations professionnelles :
    Activité : Développeur Web

    Informations forums :
    Inscription : mars 2008
    Messages : 1 674
    Points : 2 378
    Points
    2 378
    Par défaut
    Bonjour,

    Merci pour cette capture d'écran.
    J'adore recopier du code comme un moine copiste.

    Merci également de ne surtout pas préciser qu'il ne s'agit pas de la version de Firebase mais de la version 8.
    Merci aussi de ne pas mettre l'erreur au complet et de la traduire dans un Français moyen, c'est super pratique pour comprendre le problème.

    Ceci dit, à priori, d'après ce lien, l'importation de Firebase n'est pas correcte

    Vous devez écrire
    Code typescript : Sélectionner tout - Visualiser dans une fenêtre à part
    import firebase from 'firebase/app';

    Lors de mes tests j'avais une erreur en utilisant import * as firebase from 'firebase/app'; et plus après l'avoir changé par ce qui est écrit ci-dessus.

  3. #3
    Candidat au Club
    Homme Profil pro
    Technicien maintenance
    Inscrit en
    septembre 2021
    Messages
    4
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 32
    Localisation : Tunisie

    Informations professionnelles :
    Activité : Technicien maintenance

    Informations forums :
    Inscription : septembre 2021
    Messages : 4
    Points : 4
    Points
    4
    Par défaut
    Cela ne fonctionne pas , je dois faire l'import comme ceci pour ne pas avoir un erreur : import * as firebase from '@firebase/app'

  4. #4
    Candidat au Club
    Homme Profil pro
    Technicien maintenance
    Inscrit en
    septembre 2021
    Messages
    4
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 32
    Localisation : Tunisie

    Informations professionnelles :
    Activité : Technicien maintenance

    Informations forums :
    Inscription : septembre 2021
    Messages : 4
    Points : 4
    Points
    4
    Par défaut authentification friebase avec Angular
    c'est la version utilisé "firebase": "^9.0.1",

    c'est l'erreur affiché après le changement d'import firebaseNom : erreur firebase.JPG
Affichages : 15
Taille : 69,5 Ko

  5. #5
    Candidat au Club
    Homme Profil pro
    Technicien maintenance
    Inscrit en
    septembre 2021
    Messages
    4
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 32
    Localisation : Tunisie

    Informations professionnelles :
    Activité : Technicien maintenance

    Informations forums :
    Inscription : septembre 2021
    Messages : 4
    Points : 4
    Points
    4
    Par défaut authentification friebase avec Angular
    je l'ai résolu merci beaucoup darkstar123456
    il faut importer firebase comme ceci:

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    import firebase from 'firebase/compat/app';
    import 'firebase/compat/auth';

    merci beaucoup

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Réponses: 3
    Dernier message: 29/09/2009, 17h27
  2. [LDAP] authentification domaine avec LDAP
    Par Thylia dans le forum Bibliothèques et frameworks
    Réponses: 1
    Dernier message: 17/07/2006, 16h59
  3. Réponses: 3
    Dernier message: 14/03/2006, 11h38
  4. Réponses: 1
    Dernier message: 14/10/2005, 22h14

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo